#include <stdio.h>
#include <math.h>

/* Programme qui calcule les racines relles d'un polynme de
 * degr 2 si elles existent.
 * Pour la compilation, ne pas oublier "-lm", qui permet de faire
 * l'dition de liens avec la bibliothque contenant les primitives
 * mathmatiques. 
 */


/* 
 * Note : on utilise des "double" au lieu de "float", pour pouvoir
 * utiliser directement "sqrt" plutt que sqrtf
 */
 
int main(){
	double a, b, c, x1, x2;
	double delta;
	
	do{
		printf("Entrer une valeur de a differente de 0 : ");
		scanf("%lf", &a);
	} while(a==0);
	printf("Entrer b : ");
	scanf("%lf", &b);
	printf("Entrer c : ");
	scanf("%lf", &c);
	
	delta = b*b - 4 * a * c;
	
	printf("\nL'equation\n\n %+lfx^2 %+lfx %+lf = 0\n\n", a, b, c); 
	if(delta > 0){
		x1 = (-b + sqrt(delta)) / (2 * a);
		x2 = (-b - sqrt(delta)) / (2 * a);
		printf("admet 2 solutions reelles :\n\n x1 = %lf et x2 = %lf\n\n", x1, x2);
	}else if(delta == 0){
		x1 = x2 = -b / (2*a);
		printf("admet 1 solution reelle : \n\n x1 = x2 = %lf\n\n", x1);
	}else{
		printf("n'admet pas de solution reelle.\n\n");
	}

	return 0;
}
